// 客户管理函数库
import apis from "../apis_moudles/";
import req from "../request";

// get custom list
const GETCUSTOMERLIST = function (data) {
  return req.post(apis.getCustomerList, data);
};

// get custom detail
const GETCUSTOMERDETAIL = function (data) {
  return req.post(apis.customerDetail, data);
};

// add or update custom data
const UPDATECUSTOMDATA = function (data) {
  return req.post(apis.updateCustomList, data);
};

// 创建新用户
const CREATENEWCUSTOMER = function (data) {
  return req.post(apis.createCustomer, data);
};

export default {
  GETCUSTOMERLIST,
  GETCUSTOMERDETAIL,
  UPDATECUSTOMDATA,
  CREATENEWCUSTOMER,
};
